Difference between revisions of "Sketcher Workbench/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
m
(Created page with "* 32px Diminuer le degré de la B-Spline, pour l'instant n'est pas implémenté. {{Version/fr...")
 
(114 intermediate revisions by 7 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{Docnav/fr|[[Ship Workbench/fr|Atelier Navire]]|[[Spreadsheet Workbench/fr|Atelier Feuille de calcul]]|IconL=Workbench_Ship.svg|IconR=Workbench_Spreadsheet.svg}}
 
  
[[Image:Workbench_Sketcher.svg|64px]]
+
{{Docnav/fr
 +
|[[Robot_Workbench/fr|Atelier Robot]]
 +
|[[Spreadsheet_Workbench/fr|Atelier Spreadsheet]]
 +
|IconL=Workbench_Robot.svg
 +
|IconR=Workbench_Spreadsheet.svg
 +
}}
 +
 
 +
[[Image:Workbench_Sketcher.svg|thumb|128px|Icône de l'atelier Sketcher]]
  
 
== Introduction ==
 
== Introduction ==
  
L'[[Sketcher Workbench/fr|atelier Sketcher]] permet de créer des géométries 2D nommées '''esquisses''', destinées à être utilisées par les ateliers [[PartDesign_Workbench/fr|PartDesign]], l'[[Arch Module/fr|Architecture]] et d'autres. Généralement, une géométrie 2D est le point de départ de la plupart des modèles de CAO ; une esquisse 2D peut être « extrudée » pour créer une forme 3D. D'autres esquisses peuvent être utilisées pour créer des fonctions comme des cavités, des arêtes ou encore des extrusions qui s'ajoutent aux formes 3D précédemment construites. Avec des opérations Booléennes sur des solides définies dans l'[[Part_Module/fr|atelier Part]], l'atelier Sketcher constitue le cœur de la [[constructive solid geometry|conception 3D solide]].
+
L'[[Sketcher Workbench/fr|atelier Sketcher]] [[Image:Workbench_Sketcher.svg|24px]] de FreeCAD permet de créer des géométries 2D nommées '''esquisses''', destinées à être utilisées par les ateliers [[PartDesign_Workbench/fr|PartDesign]] [[Image:Workbench_PartDesign.svg|24px]], l'[[Arch Module/fr|Architecture]] [[Image:Workbench_Arch.svg|24px]] et d'autres. Généralement, une géométrie 2D est le point de départ de la plupart des modèles de CAO ; une esquisse 2D peut être « extrudée » pour créer une forme 3D. D'autres esquisses peuvent être utilisées pour créer des fonctions comme des cavités, des arêtes ou encore des extrusions qui s'ajoutent aux formes 3D précédemment construites. Avec des opérations Booléennes sur des solides définies dans l'[[Part_Module/fr|atelier Part]] [[Image:Workbench_Part.svg|24px]], l'atelier Sketcher constitue le cœur de la [[constructive solid geometry|conception 3D solide]]. De plus, avec les opérations de l'[[PartDesign Workbench|atelier PartDesign]] [[Image:Workbench_PartDesign.svg|24px]], l'esquisseur Sketcher constitue également la base de la méthodologie de modification des [[feature editing/fr|fonctions de création de solides]].
  
 
Un résolveur de contraintes calcule l'étendue contrainte de la géométrie 2D et permet l'exploration interactive des degrés de liberté de l'esquisse.
 
Un résolveur de contraintes calcule l'étendue contrainte de la géométrie 2D et permet l'exploration interactive des degrés de liberté de l'esquisse.
Line 13: Line 19:
  
 
{{TOCright}}
 
{{TOCright}}
[[File:FC_ConstrainedSketch.png|none]]
+
[[File:FC_ConstrainedSketch.png|450px]]
 +
 
 
{{Caption|Une esquisse pleinement contrainte.‎}}
 
{{Caption|Une esquisse pleinement contrainte.‎}}
  
Line 48: Line 55:
  
 
== Processus d'esquisse ==
 
== Processus d'esquisse ==
Une esquisse est toujours en deux dimensions (2D). Pour créer un solide, on crée une esquisse 2D d'une aire simple fermée et on lui applique une extrusion ou une révolution pour lui ajouter la troisième dimension.
 
  
Si l'esquisse possède des segments qui se croisent, ou un point non directement positionné sur un segment, ou encore des écarts entre des points terminaux ou des segments adjacents, l'extrusion ou la pièce de révolution ne créera pas un solide. Cette règle ne s'applique pas aux Géométries de Construction (en bleu).
+
Une esquisse est toujours bidimensionnelle (2D). Pour créer un solide, une esquisse 2D d'une seule zone fermée est créée, puis extrudée ou reçoit une révolution pour ajouter la 3ème dimension, créant un solide 3D à partir de l'esquisse 2D.
 +
 
 +
Si une esquisse possède des segments qui se croisent, ou un point non directement positionné sur un segment, ou encore des écarts entre des points terminaux ou des segments adjacents, l'extrusion ou la pièce de révolution ne créera pas un solide. Parfois, une esquisse contenant des lignes se croisant fonctionnera pour une opération simple telle que Pad, mais les opérations ultérieures telles que le motif linéaire échoueront. Il est préférable d'éviter de traverser des lignes. Cette règle ne s'applique pas aux Géométries de Construction (en bleu).
  
 
A l'intérieur d'une aire fermée, nous pouvons avoir des aires indépendantes. Celles-ci deviendront des vides lorsque le solide 3D sera généré.
 
A l'intérieur d'une aire fermée, nous pouvons avoir des aires indépendantes. Celles-ci deviendront des vides lorsque le solide 3D sera généré.
 +
 +
Une fois que l’esquisse est entièrement contrainte, les fonctions d’esquisse deviennent vertes. La géométrie de construction restera bleue. Elle est généralement "finie" à ce stade et convient à la création d'un solide 3D. Cependant, une fois que la boîte de dialogue Esquisse est fermée, il peut s'avérer utile d'aller à l'[[Image:Workbench_Part.svg|24px]] [[Part_Module/fr|atelier Part]] et de lancer {{Button|[[File:Part_CheckGeometry.svg|16px]] [[Part_CheckGeometry/fr|Part Vérifier la géométrie]]}} pour vous assurer qu'aucune fonctionnalité de l'esquisse ne risque de causer des problèmes ultérieurs.
  
 
== Les outils ==
 
== Les outils ==
  
 
Les outils de l'atelier Sketcher sont tous situés dans le menu '''Sketch''' qui s'affiche lorsque vous chargez l'atelier Sketcher.  
 
Les outils de l'atelier Sketcher sont tous situés dans le menu '''Sketch''' qui s'affiche lorsque vous chargez l'atelier Sketcher.  
 +
 +
=== Généralités ===
  
 
* [[Image:Sketcher_NewSketch.svg|32px]] [[Sketcher_NewSketch/fr|Nouvelle esquisse]] : crée une nouvelle esquisse sur un plan ou une face sélectionnée. Si rien n'est sélectionné, un dialogue pop up invitera l'utilisateur à sélectionner un plan.
 
* [[Image:Sketcher_NewSketch.svg|32px]] [[Sketcher_NewSketch/fr|Nouvelle esquisse]] : crée une nouvelle esquisse sur un plan ou une face sélectionnée. Si rien n'est sélectionné, un dialogue pop up invitera l'utilisateur à sélectionner un plan.
Line 66: Line 78:
 
* [[Image:Sketcher_ViewSketch.svg|32px]] [[Sketcher_ViewSketch/fr|Vue de l'esquisse]] : définit l'affichage de l'objet perpendiculairement au plan de l'esquisse.
 
* [[Image:Sketcher_ViewSketch.svg|32px]] [[Sketcher_ViewSketch/fr|Vue de l'esquisse]] : définit l'affichage de l'objet perpendiculairement au plan de l'esquisse.
  
* [[Image:Sketcher ViewSection.svg|32px]] [[Sketcher_ViewSection/fr|Vue sectionnée]]: Crée un plan de coupe qui masque temporairement toute matière devant le plan d’esquisse. {{Version|0.18}}
+
* [[Image:Sketcher_ViewSection.svg|32px]] [[Sketcher_ViewSection/fr|Vue sectionnée]]: Crée un plan de coupe qui masque temporairement toute matière devant le plan d’esquisse. {{Version/fr|0.18}}
  
 
* [[Image:Sketcher_MapSketch.svg|32px]] [[Sketcher_MapSketch/fr|Appliquer une esquisse sur une face...]] : applique une esquisse sur une face ou un solide sélectionné.
 
* [[Image:Sketcher_MapSketch.svg|32px]] [[Sketcher_MapSketch/fr|Appliquer une esquisse sur une face...]] : applique une esquisse sur une face ou un solide sélectionné.
  
* [[Sketcher_Reorient/fr|Réorienter l'esquisse]] : permet de réorienter l'esquisse sélectionnée.
+
* [[File:Sketcher_ReorientSketch.svg|32px]] [[Sketcher_ReorientSketch/fr|Réorienter l'esquisse]]: permet d'attacher l'esquisse à l'un des plans principaux.
  
* [[Sketcher_ValidateSketch/fr|Valider l'esquisse...]] : vérifier la tolérance des différents points et les faire correspondre entre eux.
+
* [[File:Sketcher_ValidateSketch.svg|32px]] [[Sketcher_ValidateSketch/fr|Valider l'esquisse...]] : vérifier la tolérance des différents points et les faire correspondre entre eux.
  
* [[Image:Sketcher MergeSketch.svg|32px]] [[Sketcher MergeSketches/fr|Fusionner les esquisses]] : fusionner deux ou plusieurs esquisses. {{Version/fr|0.15}}
+
* [[Image:Sketcher_MergeSketches.svg|32px]] [[Sketcher_MergeSketches/fr|Fusionner les esquisses]] : fusionner deux ou plusieurs esquisses. {{Version/fr|0.15}}
  
* [[Image:Sketcher MirrorSketch.svg|32px]] [[Sketcher MirrorSketch/fr|Esquisse miroir]] : crée une esquisse miroir selon l'axe X, l'axe Y ou l'origine. {{Version/fr|0.16}}
+
* [[Image:Sketcher_MirrorSketch.svg|32px]] [[Sketcher_MirrorSketch/fr|Esquisse miroir]] : crée une esquisse miroir selon l'axe X, l'axe Y ou l'origine. {{Version/fr|0.16}}
 +
 
 +
* [[File:Sketcher_StopOperation.svg|32px]] [[Sketcher_StopOperation/fr|Arrêt de l'opération]]: en mode édition, arrêter l'opération en cours, qu'il s'agisse de dessiner, de définir des contraintes, etc.
  
 
===Géométries d'esquisse===
 
===Géométries d'esquisse===
Line 84: Line 98:
 
* [[Image:Sketcher_CreatePoint.svg|32px]] [[Sketcher_CreatePoint/fr|Point]] : dessine un point.
 
* [[Image:Sketcher_CreatePoint.svg|32px]] [[Sketcher_CreatePoint/fr|Point]] : dessine un point.
  
* [[Image:Sketcher_Line.svg|32px]] [[Sketcher_CreateLine/fr|Ligne]] : dessine une ligne entre 2 points. Les lignes sont considérées comme infinies par certaines contraintes.
+
* [[Image:Sketcher_CreateLine.svg|32px]] [[Sketcher_CreateLine/fr|Ligne]] : dessine une ligne entre 2 points. Les lignes sont considérées comme infinies par certaines contraintes.
  
 
* [[Image:Sketcher_CompCreateArc.png|48px]] [[Sketcher_CompCreateArc/fr|Créer un arc]] : Il s'agit d'un menu d'icône dans la barre d'outils Géométries d'esquisse qui contient les commandes suivantes :
 
* [[Image:Sketcher_CompCreateArc.png|48px]] [[Sketcher_CompCreateArc/fr|Créer un arc]] : Il s'agit d'un menu d'icône dans la barre d'outils Géométries d'esquisse qui contient les commandes suivantes :
  
* [[Image:Sketcher_Arc.svg|32px]] [[Sketcher_CreateArc/fr|Arc]] : dessine un segment d'arc à partir du centre, rayon, angle de départ et angle d'arrivée.
+
:* [[Image:Sketcher_CreateArc.svg|32px]] [[Sketcher_CreateArc/fr|Arc]] : dessine un segment d'arc à partir du centre, rayon, angle de départ et angle d'arrivée.
  
* [[Image:Sketcher_Create3PointArc.svg|32px]] [[Sketcher_Create3PointArc/fr|Arc par 3 points]] : dessine un arc de cercle entre deux points d'extrémité et un troisième point pour la circonférence.
+
:* [[Image:Sketcher_Create3PointArc.svg|32px]] [[Sketcher_Create3PointArc/fr|Arc par 3 points]] : dessine un arc de cercle entre deux points d'extrémité et un troisième point pour la circonférence.
  
 
* [[Image:Sketcher_CompCreateCircle.png|48px]] [[Sketcher_CompCreateCircle/fr|Créer un cercle]] : Il s'agit d'un menu d'icône dans la barre d'outils Géométries d'esquisse qui contient les commandes suivantes :
 
* [[Image:Sketcher_CompCreateCircle.png|48px]] [[Sketcher_CompCreateCircle/fr|Créer un cercle]] : Il s'agit d'un menu d'icône dans la barre d'outils Géométries d'esquisse qui contient les commandes suivantes :
  
* [[Image:Sketcher_Circle.svg|32px]] [[Sketcher_CreateCircle/fr|Cercle]] : dessine un cercle à partir de son centre et du rayon.
+
:* [[Image:Sketcher_CreateCircle.svg|32px]] [[Sketcher_CreateCircle/fr|Cercle]] : dessine un cercle à partir de son centre et du rayon.
  
* [[Image:Sketcher_Create3PointCircle.svg|32px]] [[Sketcher_Create3PointCircle/fr|Cercle par 3 points]] : dessine un cercle à partir de trois points sur la circonférence.
+
:* [[Image:Sketcher_Create3PointCircle.svg|32px]] [[Sketcher_Create3PointCircle/fr|Cercle par 3 points]] : dessine un cercle à partir de trois points sur la circonférence.
  
* [[Image:Sketcher_CompCreateConic.png|48px]][[Sketcher_CompCreateConic/fr|Sections coniques]] : Le sketcher fournit les sections coniques suivantes. Contrairement aux B-splines, elles peuvent être utilisées avec toutes sortes de contraintes telles que les tangentes, les points sur l’objet, ou les orthogonales.
+
* [[Image:Sketcher_CompCreateConic.png|48px]][[Sketcher_CompCreateConic/fr|Sections coniques]] : sketcher fournit les sections coniques suivantes. Contrairement aux B-splines, elles peuvent être utilisées avec toutes sortes de contraintes telles que les tangentes, les points sur l’objet, ou les orthogonales.
** [[Image:Sketcher_CreateEllipse.svg|32px]] [[Sketcher CreateEllipseByCenter/fr|Ellipse]] : dessine une ellipse à partir du centre, d'un point sur le grand rayon et d'un point sur le petit rayon. {{Version/fr|0.15}}
+
** [[Image:Sketcher_CreateEllipseByCenter.svg|32px]] [[Sketcher CreateEllipseByCenter/fr|Ellipse]] : dessine une ellipse à partir du centre, d'un point sur le grand rayon et d'un point sur le petit rayon. {{Version/fr|0.15}}
** [[Image:Sketcher_CreateEllipse_3points.svg|32px]] [[Sketcher CreateEllipseBy3Points/fr|Ellipse par 3 points]] : dessine une ellipse à partir du grand diametre (2 points) et d'un point sur le petit rayon. {{Version/fr|0.15}}
+
** [[Image:Sketcher_CreateEllipseBy3Points.svg|32px]] [[Sketcher CreateEllipseBy3Points/fr|Ellipse par 3 points]] : dessine une ellipse à partir du grand diametre (2 points) et d'un point sur le petit rayon. {{Version/fr|0.15}}
** [[Image:Sketcher_Elliptical_Arc.svg|32px]] [[Sketcher_CreateArcOfEllipse/fr|Arc d'ellipse]] : dessine une ellipse à partir du centre, d'un point sur le grand rayon, avec un point de départ et un point d'arrivée. {{Version/fr|0.15}}
+
** [[Image:Sketcher_CreateArcOfEllipse.svg|32px]] [[Sketcher_CreateArcOfEllipse/fr|Arc d'ellipse]] : dessine une ellipse à partir du centre, d'un point sur le grand rayon, avec un point de départ et un point d'arrivée. {{Version/fr|0.15}}
**[[Image:Sketcher_Hyperbolic_Arc.svg|32px]] [[Sketcher_CreateArcOfHyperbola/fr|Arc d'hyperbole]] : dessine un arc d'hyperbole. {{Version/fr|0.17}}
+
**[[Image:Sketcher_CreateArcOfHyperbola.svg|32px]] [[Sketcher_CreateArcOfHyperbola/fr|Arc d'hyperbole]] : dessine un arc d'hyperbole. {{Version/fr|0.17}}
**[[Image:Sketcher_Parabolic_Arc.svg|32px]] [[Sketcher_CreateArcOfParabola/fr|Arc de parabole]] : dessine un arc de parabole. {{Version/fr|0.17}}
+
**[[Image:Sketcher_CreateArcOfParabola.svg|32px]] [[Sketcher_CreateArcOfParabola/fr|Arc de parabole]] : dessine un arc de parabole. {{Version/fr|0.17}}
  
 
* [[Image:Sketcher_CompCreateBSpline.png|48px]][[Sketcher_CompCreateBSpline/fr|Créer une B-spline]] :  Il s'agit d'un menu d'icône dans la barre d'outils Géométries d'esquisse qui contient les commandes suivantes :
 
* [[Image:Sketcher_CompCreateBSpline.png|48px]][[Sketcher_CompCreateBSpline/fr|Créer une B-spline]] :  Il s'agit d'un menu d'icône dans la barre d'outils Géométries d'esquisse qui contient les commandes suivantes :
 
** [[File:Sketcher_CreateBSpline.svg|32px]] [[Sketcher_CreateBSpline/fr|Créer une B-spline]] : Dessine une courbe B-spline par ses points de contrôle. {{Version/fr|0.17}}
 
** [[File:Sketcher_CreateBSpline.svg|32px]] [[Sketcher_CreateBSpline/fr|Créer une B-spline]] : Dessine une courbe B-spline par ses points de contrôle. {{Version/fr|0.17}}
** [[File:Sketcher_Create_Periodic_BSpline.svg|32px]] [[Sketcher_CreatePeriodicBSpline/fr|Créer une B-spline périodique]] : Dessine une courbe B-spline périodique (fermée) par ses points de contrôle. {{Version/fr|0.17}}
+
** [[File:Sketcher_CreatePeriodicBSpline.svg|32px]] [[Sketcher_CreatePeriodicBSpline/fr|Créer une B-spline périodique]] : Dessine une courbe B-spline périodique (fermée) par ses points de contrôle. {{Version/fr|0.17}}
  
 
* [[Image:Sketcher_CreatePolyline.svg|32px]] [[Sketcher_CreatePolyline/fr|Polyligne]] : dessine une ligne composée de plusieurs segments connectés entre eux. Appuyer sur la touche M pendant que la commande est active bascule entre plusieurs modes de polylignes.  
 
* [[Image:Sketcher_CreatePolyline.svg|32px]] [[Sketcher_CreatePolyline/fr|Polyligne]] : dessine une ligne composée de plusieurs segments connectés entre eux. Appuyer sur la touche M pendant que la commande est active bascule entre plusieurs modes de polylignes.  
Line 115: Line 129:
 
* [[Image:Sketcher_CompCreateRegularPolygon.png|48px]]  [[Sketcher_CompCreateRegularPolygon/fr|Créer un polygone régulier]]:  Il s'agit d'un menu d'icône dans la barre d'outils Géométries d'esquisse qui contient les commandes suivantes :
 
* [[Image:Sketcher_CompCreateRegularPolygon.png|48px]]  [[Sketcher_CompCreateRegularPolygon/fr|Créer un polygone régulier]]:  Il s'agit d'un menu d'icône dans la barre d'outils Géométries d'esquisse qui contient les commandes suivantes :
  
* [[Image:Sketcher_CreateTriangle.svg|32px]] [[Sketcher_CreateTriangle/fr|Triangle]] : dessine un triangle équilatéral inscrit dans un cercle. {{Version/fr|0.15}}
+
:* [[Image:Sketcher_CreateTriangle.svg|32px]] [[Sketcher_CreateTriangle/fr|Triangle]] : dessine un triangle équilatéral inscrit dans un cercle. {{Version/fr|0.15}}
  
* [[Image:Sketcher_CreateSquare.svg|32px]] [[Sketcher_CreateSquare/fr|Carré]] : dessine un carré inscrit dans un cercle. {{Version/fr|0.15}}
+
:* [[Image:Sketcher_CreateSquare.svg|32px]] [[Sketcher_CreateSquare/fr|Carré]] : dessine un carré inscrit dans un cercle. {{Version/fr|0.15}}
  
* [[Image:Sketcher_CreatePentagon.svg|32px]] [[Sketcher_CreatePentagon/fr|Pentagone]] : dessine un pentagone régulier inscrit dans un cercle. {{Version/fr|0.15}}
+
:* [[Image:Sketcher_CreatePentagon.svg|32px]] [[Sketcher_CreatePentagon/fr|Pentagone]] : dessine un pentagone régulier inscrit dans un cercle. {{Version/fr|0.15}}
  
* [[Image:Sketcher_CreateHexagon.svg|32px]] [[Sketcher_CreateHexagon/fr|Hexagone]] : dessine un hexagone régulier inscrit dans un cercle. {{Version/fr|0.15}}
+
:* [[Image:Sketcher_CreateHexagon.svg|32px]] [[Sketcher_CreateHexagon/fr|Hexagone]] : dessine un hexagone régulier inscrit dans un cercle. {{Version/fr|0.15}}
  
* [[Image:Sketcher_CreateHeptagon.svg|32px]] [[Sketcher_CreateHeptagon/fr|Heptagone]] : dessine un heptagone régulier inscrit dans un cercle. {{Version/fr|0.15}}
+
:* [[Image:Sketcher_CreateHeptagon.svg|32px]] [[Sketcher_CreateHeptagon/fr|Heptagone]] : dessine un heptagone régulier inscrit dans un cercle. {{Version/fr|0.15}}
  
* [[Image:Sketcher_CreateOctagon.svg|32px]] [[Sketcher_CreateOctagon/fr|Octogone]] : dessine un octogone régulier inscrit dans un cercle. {{Version/fr|0.15}}
+
:* [[Image:Sketcher_CreateOctagon.svg|32px]] [[Sketcher_CreateOctagon/fr|Octogone]] : dessine un octogone régulier inscrit dans un cercle. {{Version/fr|0.15}}
  
 
:* [[Image:Sketcher_CreateRegularPolygon.svg|32px]] [[Sketcher_CompCreateRegularPolygon/fr|Créer un polygone régulier]] : Dessine un polygone régulier en sélectionnant le nombre de côtés et en choisissant deux points: le centre et un coin.
 
:* [[Image:Sketcher_CreateRegularPolygon.svg|32px]] [[Sketcher_CompCreateRegularPolygon/fr|Créer un polygone régulier]] : Dessine un polygone régulier en sélectionnant le nombre de côtés et en choisissant deux points: le centre et un coin.
  
* [[Image:Sketcher_CreateSlot.png|32px]] [[Sketcher_CreateSlot/fr|Contour oblong]] : dessine un contour oblong (ex : clavette de type A) en entrant le centre du demi-cercle, le centre d'un rayon et le point final du deuxième demi-cercle. {{Version/fr|0.15}}
+
* [[Image:Sketcher_CreateSlot.svg|32px]] [[Sketcher_CreateSlot/fr|Contour oblong]] : dessine un contour oblong (ex : clavette de type A) en entrant le centre du demi-cercle, le centre d'un rayon et le point final du deuxième demi-cercle. {{Version/fr|0.15}}
  
 
* [[Image:Sketcher_CreateFillet.svg|32px]] [[Sketcher_CreateFillet/fr|Congé]] : crée un congé entre deux lignes connectées en un point. Sélectionnez les deux lignes, ou cliquez sur le sommet commun, puis activez l'outil.
 
* [[Image:Sketcher_CreateFillet.svg|32px]] [[Sketcher_CreateFillet/fr|Congé]] : crée un congé entre deux lignes connectées en un point. Sélectionnez les deux lignes, ou cliquez sur le sommet commun, puis activez l'outil.
Line 150: Line 164:
 
Ces contraintes ne sont pas associées à des données numériques.
 
Ces contraintes ne sont pas associées à des données numériques.
  
* [[Image:Constraint_PointOnPoint.svg|32px]] [[Sketcher ConstrainCoincident/fr|Coïncidence]] : crée une contrainte de coïncidence (point sur point) entre deux ou plusieurs points sélectionnés.
+
* [[File:Sketcher_ConstrainCoincident.svg|32px]] [[Sketcher_ConstrainCoincident/fr|Coïncidence]] : crée une contrainte de coïncidence (point sur point) entre deux ou plusieurs points sélectionnés.
  
* [[Image:Constraint_PointOnObject.svg|32px]] [[Sketcher ConstrainPointOnObject/fr|Point sur objet]] : crée une contrainte point-sur-objet sur les éléments sélectionnés. L'un des éléments doit être un point, l'autre une ligne, un arc ou un cercle.
+
* [[File:Sketcher_ConstrainPointOnObject.svg|32px]] [[Sketcher_ConstrainPointOnObject/fr|Point sur objet]] : crée une contrainte point-sur-objet sur les éléments sélectionnés. L'un des éléments doit être un point, l'autre une ligne, un arc ou un cercle.
  
* [[Image:Constraint_Vertical.svg|32px]] [[Sketcher_ConstrainVertical/fr|Vertical]] : crée une contrainte de verticalité sur les lignes ou segments de polylignes sélectionnés. Plus d'un élément peut être sélectionné.
+
* [[File:Sketcher_ConstrainVertical.svg|32px]] [[Sketcher_ConstrainVertical/fr|Vertical]] : crée une contrainte de verticalité sur les lignes ou segments de polylignes sélectionnés. Plus d'un élément peut être sélectionné.
  
* [[Image:Constraint_Horizontal.svg|32px]] [[Sketcher_ConstrainHorizontal/fr|Horizontal]] : crée une contrainte d'horizontalité sur les lignes ou segments de polylignes sélectionnés. Plus d'un élément peut être sélectionné.
+
* [[File:Sketcher_ConstrainHorizontal.svg|32px]] [[Sketcher_ConstrainHorizontal/fr|Horizontal]] : crée une contrainte d'horizontalité sur les lignes ou segments de polylignes sélectionnés. Plus d'un élément peut être sélectionné.
  
* [[Image:Constraint_Parallel.svg|32px]] [[Sketcher_ConstrainParallel/fr|Parallèle]] : crée une contrainte de parallélisme entre deux lignes sélectionnées.
+
* [[File:Sketcher_ConstrainParallel.svg|32px]] [[Sketcher_ConstrainParallel/fr|Parallèle]] : crée une contrainte de parallélisme entre deux lignes sélectionnées.
  
* [[Image:Constraint_Perpendicular.svg|32px]] [[Sketcher_ConstrainPerpendicular/fr|Perpendiculaire]] : crée une contrainte de perpendicularité entre deux lignes sélectionnées.
+
* [[File:Sketcher_ConstrainPerpendicular.svg|32px]] [[Sketcher_ConstrainPerpendicular/fr|Perpendiculaire]] : crée une contrainte de perpendicularité entre deux lignes sélectionnées.
  
* [[Image:Constraint_Tangent.svg|32px]] [[Sketcher_ConstrainTangent/fr|Tangente]] : crée une contrainte de tangence entre deux éléments sélectionnés, ou de colinéarité entre deux lignes. Un segment de ligne ne doit pas nécessairement se trouver directement sur un arc ou un cercle pour être contraint de manière tangente à cet arc ou ce cercle.
+
* [[File:Sketcher_ConstrainTangent.svg|32px]] [[Sketcher_ConstrainTangent/fr|Tangente]] : crée une contrainte de tangence entre deux éléments sélectionnés, ou de colinéarité entre deux lignes. Un segment de ligne ne doit pas nécessairement se trouver directement sur un arc ou un cercle pour être contraint de manière tangente à cet arc ou ce cercle.
  
* [[Image:Constraint_EqualLength.svg|32px]] [[Sketcher_ConstrainEqual/fr|Égalité]] : crée une contrainte d'égalité entre au moins deux éléments sélectionnés. Contraindra la longueur pour des lignes et le rayon pour des cercles et des arcs.
+
* [[File:Sketcher_ConstrainEqual.svg|32px]] [[Sketcher_ConstrainEqual/fr|Égalité]] : crée une contrainte d'égalité entre au moins deux éléments sélectionnés. Contraindra la longueur pour des lignes et le rayon pour des cercles et des arcs.
  
* [[Image:Constraint_Symmetric.svg|32px]] [[Sketcher_ConstrainSymmetric/fr|Symétrie]] : crée une contrainte symétrique entre deux points par rapport à un troisième point.
+
* [[File:Sketcher_ConstrainSymmetric.svg|32px]] [[Sketcher_ConstrainSymmetric/fr|Symétrie]] : crée une contrainte symétrique entre deux points par rapport à un troisième point.
  
* [[Image:Sketcher_ConstrainBlock.svg|32px]] [[Sketcher_ConstrainBlock/fr|Contrainte de blocage]] : permet de bloquer un élément géométrique en place à l'aide d'une seule contrainte. Cela devrait être particulièrement utile avec les courbes B-Splines. Voir la [https://forum.freecadweb.org/viewtopic.php?f=9&t=26572 discussion «Block Constraint» (en) sur le forum]. {{Version/fr|0.17}}
+
* [[Image:Sketcher_ConstrainBlock.svg|32px]] [[Sketcher_ConstrainBlock/fr|Contrainte de blocage]] : empêche une arête de se déplacer, c'est-à-dire qu'il empêche ses sommets de changer leur position en cours. Particulièrement utile de fixer la position des B-Splines. Voir la [https://forum.freecadweb.org/viewtopic.php?f=9&t=26572 discussion «Block Constraint» (en) sur le forum]. {{Version/fr|0.17}}
  
 
====Contraintes dimensionnelles====
 
====Contraintes dimensionnelles====
 
Ces contraintes sont associées à des données numériques, pour lesquelles vous pouvez utiliser des [[Expressions/fr|expressions]]. Les données peuvent être tirées d'un [[Spreadsheet_Workbench/fr|tableur]].
 
Ces contraintes sont associées à des données numériques, pour lesquelles vous pouvez utiliser des [[Expressions/fr|expressions]]. Les données peuvent être tirées d'un [[Spreadsheet_Workbench/fr|tableur]].
  
* [[Image:Sketcher_ConstrainLock.svg|32px]] [[Sketcher_ConstrainLock/fr|Fixe]] : contraint l'élément sélectionné en définissant des distances verticales et horizontales par rapport à l'origine, verrouillant ainsi l'emplacement de cet élément. Ces contraintes dimensionnelles peuvent être éditées par la suite.
+
* [[File:Sketcher_ConstrainLock.svg|32px]] [[Sketcher_ConstrainLock/fr|Fixe]] : contraint l'élément sélectionné en définissant des distances verticales et horizontales par rapport à l'origine, verrouillant ainsi l'emplacement de cet élément. Ces contraintes dimensionnelles peuvent être éditées par la suite.
  
* [[Image:Constraint_HorizontalDistance.svg|32px]] [[Sketcher_ConstrainDistanceX/fr|Distance horizontale]] : fixe la distance horizontale entre deux points ou extrémités de ligne. Si un seul élément est sélectionné, la distance sera relative à l'origine.
+
* [[File:Sketcher_ConstrainDistanceX.svg|32px]] [[Sketcher_ConstrainDistanceX/fr|Distance horizontale]] : fixe la distance horizontale entre deux points ou extrémités de ligne. Si un seul élément est sélectionné, la distance sera relative à l'origine.
  
* [[Image:Constraint_VerticalDistance.svg|32px]] [[Sketcher_ConstrainDistanceY/fr|Distance verticale]] : fixe la distance verticale entre deux points ou extrémités de ligne. Si un seul élément est sélectionné, la distance sera relative à l'origine.
+
* [[File:Sketcher_ConstrainDistanceY.svg|32px]] [[Sketcher_ConstrainDistanceY/fr|Distance verticale]] : fixe la distance verticale entre deux points ou extrémités de ligne. Si un seul élément est sélectionné, la distance sera relative à l'origine.
  
* [[Image:Constraint_Length.svg|32px]] [[Sketcher_ConstrainDistance/fr|Dimensionnelle]] : fixe la longueur d'une ligne sélectionnée, ou la distance entre une ligne et un point. La distance sera perpendiculaire à la ligne.
+
* [[File:Sketcher_ConstrainDistance.svg|32px]] [[Sketcher_ConstrainDistance/fr|Dimensionnelle]] : fixe la longueur d'une ligne sélectionnée, ou la distance entre une ligne et un point. La distance sera perpendiculaire à la ligne.
  
* [[Image:Constraint_Radius.svg|32px]] [[Sketcher_ConstrainRadius/fr|Rayon]] : crée une contrainte radiale sur un arc ou un cercle sélectionné en ajoutant un rayon. Cette dimension pourra être éditée par la suite.
+
* [[File:Sketcher_ConstrainRadius.svg|32px]] [[Sketcher_ConstrainRadius/fr|Rayon]]: définit le rayon d'un arc ou d'un cercle sélectionné en contraignant le rayon.
 +
* [[File:Sketcher_ConstrainDiameter.svg|32px]] [[Sketcher_ConstrainDiameter/fr|Diamètre]]: définit le diamètre d'un arc ou d'un cercle sélectionné en contraignant le rayon.
 +
* [[File:Sketcher_ConstrainAngle.svg|32px]] [[Sketcher_ConstrainAngle/fr|Angle Interne]]: crée une contrainte d'angle interne entre deux lignes sélectionnées.
  
* [[Image:Constraint_InternalAngle.png|32px]] [[Sketcher_ConstrainAngle/fr|Angle Interne]] : crée une contrainte d'angle interne entre deux lignes sélectionnées.
+
* [[File:Sketcher_ConstrainSnellsLaw.svg|32px]] [[Sketcher_ConstrainSnellsLaw/fr|Loi de Snell]] : contraint deux lignes à respecter une loi de réfraction simulant la trajectoire de la lumière à travers une interface. {{Version/fr|0.15}}
  
* [[Image:Constraint_SnellsLaw.svg|32px]] [[Sketcher ConstrainSnellsLaw/fr|Loi de Snell]] : contraint deux lignes à respecter une loi de réfraction simulant la trajectoire de la lumière à travers une interface. {{Version/fr|0.15}}
+
* [[File:Sketcher_ConstrainInternalAlignment.svg|32px]] [[Sketcher_ConstrainInternalAlignment/fr|Alignement interne]] : aligne les éléments selectionnés à la forme sélectionnée (par exemple, contraint une ligne à devenir le grand axe d'une ellipse). {{Version/fr|0.15}}
  
* [[Image:Constraint_InternalAlignment.svg|32px]] [[Sketcher_ConstrainInternalAlignment/fr|Alignement Interne]] : aligne les éléments selectionnés à la forme sélectionnée (par exemple, contraint une ligne à devenir le grand axe d'une ellipse).
+
* [[File:Sketcher_ToggleDrivingConstraint.svg|32px]] [[Sketcher_ToggleDrivingConstraint/fr|Basculement de contrainte]] : bascule la barre d'outils ou les contraintes sélectionnées vers/depuis le mode de référence. {{Version/fr|0.16}}
  
* [[Image:Sketcher_ToggleConstraint.svg|32px]] [[Sketcher_ToggleDrivingConstraint/fr|Basculement de Contrainte]] : bascule la barre d'outils ou les contraintes sélectionnées vers / depuis le Mode Référence. {{Version/fr|0.16}}
+
* [[File:Sketcher_ToggleActiveConstraint.svg|32px]] [[Sketcher_ToggleActiveConstraint/fr|Basculer la contrainte active]] : activez ou désactivez une contrainte déjà placée. {{Version/fr|0.19}}
  
 
===Outils d'esquisse===
 
===Outils d'esquisse===
  
* [[File:Sketcher SelectElementsWithDoFs.svg|32px]] [[Sketcher_SelectElementsWithDoFs/fr|Afficher les degrés de liberté]]: surligne en vert les éléments de l'esquisse contenant des degrés de liberté, c'est-à-dire non complètement contraints. {{Version|0.18}}
+
* [[File:Sketcher_SelectElementsWithDoFs.svg|32px]] [[Sketcher_SelectElementsWithDoFs/fr|Afficher les degrés de liberté]]: surligne en vert les éléments de l'esquisse contenant des degrés de liberté, c'est-à-dire non complètement contraints. {{Version/fr|0.18}}
  
* [[Image:Sketcher CloseShape.svg|32px]] [[Sketcher CloseShape/fr|Fermer la forme]] : ferme une forme en appliquant des contraintes coïncidentes aux points d'arrivée. {{Version/fr|0.15}}
+
* [[File:Sketcher_CloseShape.svg|32px]] [[Sketcher_CloseShape/fr|Fermer la forme]] : ferme une forme en appliquant des contraintes coïncidentes aux points d'arrivée. {{Version/fr|0.15}}
  
* [[Image:Sketcher ConnectLines.svg|32px]] [[Sketcher ConnectLines/fr|Connecter les côtés]] : connecte les éléments de l'esquisse en appliquant des contraintes de coïncidence aux points d'arrivée. {{Version/fr|0.15}}
+
* [[File:Sketcher_ConnectLines.svg|32px]] [[Sketcher_ConnectLines/fr|Connecter les côtés]] : connecte les éléments de l'esquisse en appliquant des contraintes de coïncidence aux points d'arrivée. {{Version/fr|0.15}}
  
* [[Image:Sketcher SelectConstraints.svg|32px]] [[Sketcher SelectConstraints/fr|Sélectionner les contraintes]] : sélectionne les contraintes d'un élément de l'esquisse. {{Version/fr|0.15}}
+
* [[File:Sketcher_SelectConstraints.svg|32px]] [[Sketcher_SelectConstraints/fr|Sélectionner les contraintes]] : sélectionne les contraintes d'un élément de l'esquisse. {{Version/fr|0.15}}
  
* [[Image:Sketcher SelectOrigin.svg|32px]] [[Sketcher SelectOrigin/fr|Sélectionner l'origine]] : sélectionne l'origine de l'esquisse. {{Version/fr|0.15}}
+
* [[File:Sketcher_SelectElementsAssociatedWithConstraints.svg|32px]] [[Sketcher_SelectElementsAssociatedWithConstraints/fr|Sélectionner les éléments associés aux contraintes]] : sélectionne les éléments associés aux contraintes. {{Version/fr|0.15}}
  
* [[Image:Sketcher SelectVerticalAxis.svg|32px]] [[Sketcher SelectVerticalAxis/fr|Sélectionner l'axe vertical]] : sélectionne l'axe vertical de l'esquisse. {{Version/fr|0.15}}
+
* [[File:Sketcher_SelectRedundantConstraints.svg|32px]] [[Sketcher_SelectRedundantConstraints/fr|Sélectionner les contraintes redondantes]] : sélectionne les contraintes redondantes de l'esquisse. {{Version/fr|0.15}}
  
* [[Image:Sketcher SelectHorizontalAxis.svg|32px]] [[Sketcher SelectHorizontalAxis/fr|Sélectionner l'axe horizontal]] : sélectionne l'axe horizontal de l'esquisse. {{Version/fr|0.15}}
+
* [[File:Sketcher_SelectConflictingConstraints.svg|32px]] [[Sketcher_SelectConflictingConstraints/fr|Sélectionner les contraintes conflictuelles]] : sélectionne les contraintes conflictuelles de l'esquisse. {{Version/fr|0.15}}
  
* [[Image:Sketcher SelectRedundantConstraints.svg|32px]] [[Sketcher SelectRedundantConstraints/fr|Sélectionner les contraintes redondantes]] : sélectionne les contraintes redondantes de l'esquisse. {{Version/fr|0.15}}
+
* [[File:Sketcher_RestoreInternalAlignmentGeometry.svg|32px]] [[Sketcher_RestoreInternalAlignmentGeometry/fr|Montrer/Cacher une géometrie interne]] : recrée/supprime la géométrie interne de l'élément sélectionné (ellipse, arc d'ellipse/hyperbole/parabole, courbe B-spline).
  
* [[Image:Sketcher SelectConflictingConstraints.svg|32px]] [[Sketcher SelectConflictingConstraints/fr|Sélectionner les contraintes conflictuelles]] : sélectionne les contraintes conflictuelles de l'esquisse. {{Version/fr|0.15}}
+
* [[File:Sketcher_SelectOrigin.svg|32px]] [[Sketcher_SelectOrigin/fr|Sélectionner l'origine]] : sélectionne l'origine de l'esquisse. {{Version/fr|0.15}}
  
* [[Image:Sketcher SelectElementsAssociatedWithConstraints.svg|32px]] [[Sketcher SelectElementsAssociatedWithConstraints/fr|Sélectionner les éléments associés aux contraintes]] : sélectionne les éléments associés aux contraintes. {{Version/fr|0.15}}
+
* [[File:Sketcher_SelectVerticalAxis.svg|32px]] [[Sketcher_SelectVerticalAxis/fr|Sélectionner l'axe vertical]] : sélectionne l'axe vertical de l'esquisse. {{Version/fr|0.15}}
  
* [[Image:Sketcher_Element_Ellipse_All.svg|32px]] [[Sketcher_RestoreInternalAlignmentGeometry/fr|Montrer/Cacher une géometrie interne]] : recrée / supprime la géométrie interne de l'élément sélectionné (ellipse, arc d'ellipse/hyperbole/parabole, courbe B-spline).
+
* [[File:Sketcher_SelectHorizontalAxis.svg|32px]] [[Sketcher_SelectHorizontalAxis/fr|Sélectionner l'axe horizontal]] : sélectionne l'axe horizontal de l'esquisse. {{Version/fr|0.15}}
  
* [[Image:Sketcher Symmetry.svg|32px]] [[Sketcher Symmetry/fr|Symétrie]] : crée une copie symétrique par rapport à une ligne donnée. {{Version/fr|0.16}}
+
* [[File:Sketcher_Symmetry.svg|32px]] [[Sketcher_Symmetry/fr|Symétrie]] : crée une copie symétrique par rapport à une ligne donnée. {{Version/fr|0.16}}
  
* [[Image:Sketcher Clone.svg|32px]] [[Sketcher Clone/fr|Clone]] : clone un élément de l'esquisse. {{Version/fr|0.16}}
+
* [[File:Sketcher_Clone.svg|32px]] [[Sketcher_Clone/fr|Clone]] : clone un élément de l'esquisse. {{Version/fr|0.16}}
  
* [[Image:Sketcher Copy.svg|32px]] [[Sketcher Copy/fr|Copie]] : copie un élément de l'esquisse. {{Version/fr|0.16}}
+
* [[File:Sketcher_Copy.svg|32px]] [[Sketcher_Copy/fr|Copie]] : copie un élément de l'esquisse. {{Version/fr|0.16}}
  
 
* [[File:Sketcher_Move.svg|32px]] [[Sketcher_Move/fr|Déplacer]]: déplace la géométrie sélectionnée en prenant comme référence le dernier point  sélectionné.
 
* [[File:Sketcher_Move.svg|32px]] [[Sketcher_Move/fr|Déplacer]]: déplace la géométrie sélectionnée en prenant comme référence le dernier point  sélectionné.
 
{{Version/fr|0.18}}
 
{{Version/fr|0.18}}
  
* [[Image:Sketcher RectangularArray.svg|32px]] [[Sketcher RectangularArray/fr|Aire rectangulaire]] : crée une aire à partir des éléments sélectionnés. {{Version/fr|0.16}}
+
* [[File:Sketcher_RectangularArray.svg|32px]] [[Sketcher_RectangularArray/fr|Matrice rectangulaire]] : crée une matrice à partir des éléments sélectionnés. {{Version/fr|0.16}}
  
* [[File:Sketcher Element SelectionTypeInvalid.svg|32px]] [[Sketcher_DeleteAllGeometry/fr|Supprimer toute la géométrie]]: Supprime toute la géométrie de l'esquisse. {{Version/fr|0.18}}
+
* [[File:Sketcher_DeleteAllGeometry.svg|32px]] [[Sketcher_DeleteAllGeometry/fr|Supprimer toute la géométrie]]: Supprime toute la géométrie de l'esquisse. {{Version/fr|0.18}}
  
* [[File:Sketcher Element SelectionTypeInvalid.svg|32px]] [[Sketcher_DeleteAllConstraints/fr|Supprimer toutes les contraintes]]: Supprime toutes les contraintes de l'esquisse. {{Version/fr|0.18}}
+
* [[File:Sketcher_DeleteAllConstraints.svg|32px]] [[Sketcher_DeleteAllConstraints/fr|Supprimer toutes les contraintes]]: Supprime toutes les contraintes de l'esquisse. {{Version/fr|0.18}}
  
 
===Sketcher Outils B-spline===
 
===Sketcher Outils B-spline===
Line 240: Line 256:
 
* [[File:Sketcher_BSplineKnotMultiplicity.svg|32px]] [[Sketcher_BSplineKnotMultiplicity/fr|Montrer/Cacher la multiplicité des nœuds de la B-spline]]
 
* [[File:Sketcher_BSplineKnotMultiplicity.svg|32px]] [[Sketcher_BSplineKnotMultiplicity/fr|Montrer/Cacher la multiplicité des nœuds de la B-spline]]
  
* [[File:Sketcher_BSplineApproximate.svg|32px]] [[Sketcher_ConvertToNURB/fr|Convertir une Géométrie en B-spline]]
+
* [[File:Sketcher_BSplineConvertToNURB.svg|32px]] [[Sketcher BSplineConvertToNURB/fr|Convertir une géométrie en B-spline]]
 +
 
 +
* [[File:Sketcher_BSplineIncreaseDegree.svg|32px]] [[Sketcher_BSplineIncreaseDegree/fr|Augmenter le degré de la B-Spline]]
  
* [[File:Sketcher_BSplineIncreaseDegree.svg|32px]] [[Sketcher_BSplineIncreaseDegree/fr|Augmenter le degré de la BSpline]]
+
* [[File:Sketcher_BSplineDecreaseDegree.svg|32px]] [[Sketcher_BSplineDecreaseDegree/fr|Diminuer le degré de la B-Spline]], pour l'instant n'est pas implémenté. {{Version/fr|0.19}}
  
 
* [[File:Sketcher_BSplineIncreaseKnotMultiplicity.svg|32px]] [[Sketcher_BSplineIncreaseKnotMultiplicity/fr|Augmenter la multiplicité des nœuds de la BSpline]]
 
* [[File:Sketcher_BSplineIncreaseKnotMultiplicity.svg|32px]] [[Sketcher_BSplineIncreaseKnotMultiplicity/fr|Augmenter la multiplicité des nœuds de la BSpline]]
Line 250: Line 268:
 
===Sketcher espace virtuel===
 
===Sketcher espace virtuel===
  
* [[Image:Sketcher SwitchVirtualSpace.svg|32px]] [[Sketcher_SwitchVirtualSpace|Switch Virtual Space]]: Vous permet de "masquer" les contraintes et de les rendre à nouveau visibles. {{Version|0.17}}
+
* [[File:Sketcher_SwitchVirtualSpace.svg|32px]] [[Sketcher_SwitchVirtualSpace|Switch Virtual Space]]: Vous permet de "masquer" les contraintes et de les rendre à nouveau visibles. {{Version/fr|0.17}}
  
 
===Préférences===
 
===Préférences===
Line 272: Line 290:
  
 
* De façon générale, les meilleurs contraintes à utiliser sont les contraintes horizontale et verticale, les contraintes distance horizontale et distance verticale, tangente point-à-point. Si possible, limiter l'utilisation des contraintes suivantes : distance, tangente ligne sur ligne, point sur objet, symétrie.
 
* De façon générale, les meilleurs contraintes à utiliser sont les contraintes horizontale et verticale, les contraintes distance horizontale et distance verticale, tangente point-à-point. Si possible, limiter l'utilisation des contraintes suivantes : distance, tangente ligne sur ligne, point sur objet, symétrie.
 +
* Si vous avez des doutes sur la validité d'une esquisse une fois qu'elle est terminée (les fonctions deviennent vertes), fermez la boîte de dialogue Esquisse, basculez vers [[Image:Workbench_Part.svg|24px]] [[Part_Module/fr|l'atelier Part]] et exécutez {{Button|[[File:Part_CheckGeometry.svg|16px]] [[Part_CheckGeometry/fr|Vérifier la géométrie]]}}.
  
 +
== Tutoriels ==
  
<div class="mw-translate-fuzzy">
+
* [https://forum.freecadweb.org/viewtopic.php?f=36&t=30104 Sketcher tutorial] par chrisb. Il s’agit d’un document PDF de 70 pages qui sert de manuel détaillé à l’atelier esquisse. Il explique les bases de l'utilisation du Sketcher et aborde de nombreux détails concernant la création de formes géométriques et chacune des contraintes.
== Tutoriels ==
+
* [[Basic Sketcher_Tutorial/fr|Tutoriel Sketcher basique]] pour débutants
* [[Sketcher_tutorial/fr|Tutoriel Sketcher]] pour débutants
 
* [[Sketcher_Tutorial/fr|Tutoriel Sketcher]]
 
 
* [[Sketcher_Micro_Tutorial_-_Constraint_Practices/fr|Micro-tutoriel Sketcher - Les pratiques de contraintes]]
 
* [[Sketcher_Micro_Tutorial_-_Constraint_Practices/fr|Micro-tutoriel Sketcher - Les pratiques de contraintes]]
</div>
+
* [[Sketcher requirement for a sketch/fr|Esquisses requises pour un croquis]] Exigence minimale pour un croquis et détermination complète d'un croquis.
  
* [https://forum.freecadweb.org/viewtopic.php?f=36&t=30104 Sketcher tutorial] by chrisb. This is a 70-page long PDF document that serves as a detailed manual for the sketcher. It explains the basics of Sketcher usage, and goes into a lot of detail about the creation of geometrical shapes, and each of the constraints.
 
* [[Sketcher tutorial|Sketcher tutorial]] for beginners
 
* [[Sketcher Tutorial|Sketcher Tutorial]]
 
* [[Sketcher Micro Tutorial - Constraint Practices|Sketcher Micro Tutorial - Constraint Practices]]
 
  
{{Docnav/fr|[[Ship Workbench/fr|Atelier Navire]]|[[Spreadsheet Workbench/fr|Atelier Feuille de calcul]]|IconL=Workbench_Ship.svg|IconR=Workbench_Spreadsheet.svg}}
+
{{Docnav/fr
 +
|[[Robot_Workbench/fr|Atelier Robot]]
 +
|[[Spreadsheet_Workbench/fr|Atelier Spreadsheet]]
 +
|IconL=Workbench_Robot.svg
 +
|IconR=Workbench_Spreadsheet.svg
 +
}}
  
<div class="mw-translate-fuzzy">
+
{{Sketcher Tools navi{{#translation:}}}}
{{Userdocnavi/fr}}
+
{{Userdocnavi{{#translation:}}}}
[[Category:Sketcher/fr]]
+
[[Category:Workbenches{{#translation:}}]]
[[Category:Workbenches/fr]]
 
</div>
 

Latest revision as of 21:11, 16 October 2020

Other languages:
Bahasa Indonesia • ‎Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎hrvatski • ‎italiano • ‎magyar • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎български • ‎русский • ‎українська • ‎中文 • ‎中文(中国大陆)‎ • ‎中文(台灣)‎ • ‎中文(繁體)‎ • ‎日本語
Arrow-left.svg Page précédente : Workbench Robot.svg Atelier Robot
Page suivante : Atelier Spreadsheet Workbench Spreadsheet.svg Arrow-right.svg
Icône de l'atelier Sketcher

Introduction

L'atelier Sketcher Workbench Sketcher.svg de FreeCAD permet de créer des géométries 2D nommées esquisses, destinées à être utilisées par les ateliers PartDesign Workbench PartDesign.svg, l'Architecture Workbench Arch.svg et d'autres. Généralement, une géométrie 2D est le point de départ de la plupart des modèles de CAO ; une esquisse 2D peut être « extrudée » pour créer une forme 3D. D'autres esquisses peuvent être utilisées pour créer des fonctions comme des cavités, des arêtes ou encore des extrusions qui s'ajoutent aux formes 3D précédemment construites. Avec des opérations Booléennes sur des solides définies dans l'atelier Part Workbench Part.svg, l'atelier Sketcher constitue le cœur de la conception 3D solide. De plus, avec les opérations de l'atelier PartDesign Workbench PartDesign.svg, l'esquisseur Sketcher constitue également la base de la méthodologie de modification des fonctions de création de solides.

Un résolveur de contraintes calcule l'étendue contrainte de la géométrie 2D et permet l'exploration interactive des degrés de liberté de l'esquisse.

L'atelier Sketcher s’appuie sur des « contraintes » qui permettent de définir des formes 2D selon des critères géométriques précis en termes de longueur, d'angles et de relations (horizontalité, verticalité, perpendicularité, etc.). Un solveur mathématique calcule le niveau de contrainte de la géométrie 2D et permet l'exploration interactive des degrés de liberté de l'esquisse.

FC ConstrainedSketch.png

Une esquisse pleinement contrainte.‎


Les principes de l'esquisse contrainte

Pour décrire comment fonctionne l'atelier Sketcher, il est utile de le comparer avec la méthode « traditionnelle » du dessin.

Dessin traditionnel

La méthode traditionnelle du DAO hérite de la technique de la planche à dessin. Des vues orthogonales sont dessinées manuellement afin de produire des dessins techniques (aussi appelés plans). Les éléments sont dessinées précisément à leur taille réelle (ou à l'échelle). Si vous voulez dessiner une ligne horizontale de 100mm de longueur débutant aux coordonnées (0,0), il faut activer l'outil ligne, cliquer à l'écran ou saisir au clavier les coordonnées du premier point, puis faire une second clic ou saisir les coordonnées du second point, soit (0,100). Ou encore, vous pouvez dessiner la ligne sans vous soucier de sa position, pour la déplacer ensuite. Lorsque vous avez terminé votre dessin, vous ajoutez les cotes.

L'esquisse contrainte

Le Sketcher s'éloigne de cette logique. Les objets n'ont pas à être dessinés aux dimensions exactes que vous planifiez, puisqu'ils seront définis ultérieurement par des contraintes. Ils peuvent être dessinés librement, et tant qu'ils ne sont pas contraints, ils peuvent être manipulés et modifiés. Ces objets en quelque sorte flottent et peuvent être déplacés, étirés, pivotés, redimensionnés, etc. Ceci permet une très grande souplesse au processus de conception.

Que sont les contraintes ?

Les contraintes sont utilisées pour limiter les degrés de liberté d'un objet. Par exemple, une ligne sans contrainte a 4 degrés de liberté (abréviation française "DDL", et anglaise "DOF") : elle peut être déplacée horizontalement ou verticalement, étirée, subir une rotation.

L'application d'une contrainte horizontale ou verticale, ou une contrainte d'angle (par rapport à une autre ligne ou à l'un des axes), limite la capacité de rotation, la laissant ainsi avec 3 degrés de liberté.
Le verrouillage d'un de ses points par rapport à l'origine va encore supprimer 2 degrés de liberté.

Et, l'application d'une contrainte de dimension va supprimer le dernier degré de liberté. La ligne est alors considérée comme entièrement contrainte.

De nombreux objets peuvent être contraints entre eux. Deux lignes peuvent être reliées par un de leurs points avec une contrainte de coïncidence de point.
Les angles peuvent être définis entre eux, ou ils peuvent être définis perpendiculairement. Une ligne peut être tangente à un cercle ou un arc et ainsi de suite. Un dessin complexe avec plusieurs objets aura un nombre de solutions différentes, et le rendre entièrement contraint signifie qu'une seule des solutions possibles a été réalisée sur la base des contraintes appliquées.

Il existe deux types de contraintes : géométriques et dimensionnelles. Elles sont détaillées dans la section 'Les outils' ci-dessous.

L'usage approprié du Sketcher

Le Sketcher n'est pas destiné à la réalisation de plans 2D. Une fois que le croquis a été utilisé pour générer un solide, il est automatiquement caché. Les contraintes sont uniquement visibles en mode édition.

Si vous devez uniquement créer des vues 2D pour l'impression et ne souhaitez pas créer de modèles 3D, consultez l'atelier Draft. Contrairement aux éléments Sketcher, les objets Draft n'utilisent pas de contraintes, ce sont des formes simples définies au moment de la création. Draft et Sketcher peuvent être utilisés pour le dessin de géométrie 2D et la création de solides 3D, bien que leur utilisation préférée soit différente. Sketcher est normalement utilisé avec Part et PartDesign pour créer des solides. Draft est normalement utilisé pour les dessins plans simples sur une grille, comme pour dessiner un plan d'architecture ; dans cette situation, Draft est principalement utilisé avec l'atelier Arch. L'outil Draft2Sketch convertit un objet Draft en un objet Sketch, et inversement. de nombreux outils qui requièrent un élément 2D comme travail de saisie avec l'un ou l'autre type d'objet, car une conversion interne est effectuée automatiquement.

Processus d'esquisse

Une esquisse est toujours bidimensionnelle (2D). Pour créer un solide, une esquisse 2D d'une seule zone fermée est créée, puis extrudée ou reçoit une révolution pour ajouter la 3ème dimension, créant un solide 3D à partir de l'esquisse 2D.

Si une esquisse possède des segments qui se croisent, ou un point non directement positionné sur un segment, ou encore des écarts entre des points terminaux ou des segments adjacents, l'extrusion ou la pièce de révolution ne créera pas un solide. Parfois, une esquisse contenant des lignes se croisant fonctionnera pour une opération simple telle que Pad, mais les opérations ultérieures telles que le motif linéaire échoueront. Il est préférable d'éviter de traverser des lignes. Cette règle ne s'applique pas aux Géométries de Construction (en bleu).

A l'intérieur d'une aire fermée, nous pouvons avoir des aires indépendantes. Celles-ci deviendront des vides lorsque le solide 3D sera généré.

Une fois que l’esquisse est entièrement contrainte, les fonctions d’esquisse deviennent vertes. La géométrie de construction restera bleue. Elle est généralement "finie" à ce stade et convient à la création d'un solide 3D. Cependant, une fois que la boîte de dialogue Esquisse est fermée, il peut s'avérer utile d'aller à l'Workbench Part.svg atelier Part et de lancer Part CheckGeometry.svg Part Vérifier la géométrie pour vous assurer qu'aucune fonctionnalité de l'esquisse ne risque de causer des problèmes ultérieurs.

Les outils

Les outils de l'atelier Sketcher sont tous situés dans le menu Sketch qui s'affiche lorsque vous chargez l'atelier Sketcher.

Généralités

  • Sketcher NewSketch.svg Nouvelle esquisse : crée une nouvelle esquisse sur un plan ou une face sélectionnée. Si rien n'est sélectionné, un dialogue pop up invitera l'utilisateur à sélectionner un plan.
  • Sketcher ViewSketch.svg Vue de l'esquisse : définit l'affichage de l'objet perpendiculairement au plan de l'esquisse.
  • Sketcher ValidateSketch.svg Valider l'esquisse... : vérifier la tolérance des différents points et les faire correspondre entre eux.
  • Sketcher StopOperation.svg Arrêt de l'opération: en mode édition, arrêter l'opération en cours, qu'il s'agisse de dessiner, de définir des contraintes, etc.

Géométries d'esquisse

Ces outils permettent de créer des objets.

  • Sketcher CreatePoint.svg Point : dessine un point.
  • Sketcher CreateLine.svg Ligne : dessine une ligne entre 2 points. Les lignes sont considérées comme infinies par certaines contraintes.
  • Sketcher CompCreateArc.png Créer un arc : Il s'agit d'un menu d'icône dans la barre d'outils Géométries d'esquisse qui contient les commandes suivantes :
  • Sketcher CreateArc.svg Arc : dessine un segment d'arc à partir du centre, rayon, angle de départ et angle d'arrivée.
  • Sketcher Create3PointArc.svg Arc par 3 points : dessine un arc de cercle entre deux points d'extrémité et un troisième point pour la circonférence.
  • Sketcher CompCreateCircle.png Créer un cercle : Il s'agit d'un menu d'icône dans la barre d'outils Géométries d'esquisse qui contient les commandes suivantes :
  • Sketcher CreateCircle.svg Cercle : dessine un cercle à partir de son centre et du rayon.
  • Sketcher CreatePolyline.svg Polyligne : dessine une ligne composée de plusieurs segments connectés entre eux. Appuyer sur la touche M pendant que la commande est active bascule entre plusieurs modes de polylignes.
  • Sketcher CreateRectangle.svg Rectangle : dessine un rectangle à partir de 2 points opposés.
  • Sketcher CompCreateRegularPolygon.png Créer un polygone régulier: Il s'agit d'un menu d'icône dans la barre d'outils Géométries d'esquisse qui contient les commandes suivantes :
  • Sketcher CreateRegularPolygon.svg Créer un polygone régulier : Dessine un polygone régulier en sélectionnant le nombre de côtés et en choisissant deux points: le centre et un coin.
  • Sketcher CreateFillet.svg Congé : crée un congé entre deux lignes connectées en un point. Sélectionnez les deux lignes, ou cliquez sur le sommet commun, puis activez l'outil.
  • Sketcher Trimming.svg Ajuster : ajuste une ligne, un cercle ou un arc par rapport à l'emplacement du clic.
  • Sketcher ToggleConstruction.svg Mode Construction : bascule les éléments vers/depuis le mode Construction. Les géométries de construction sont représentées en bleu, et ne sont pas pris en compte en dehors du mode d'édition d'esquisse.

Contraintes d'esquisse

Les contraintes sont utilisées pour définir des règles entre les éléments d'esquisse et pour verrouiller l'esquisse le long des axes vertical et horizontal. Certaines contraintes requièrent l'utilisation de contraintes d'assistance.

Contraintes géométriques

Ces contraintes ne sont pas associées à des données numériques.

  • Sketcher ConstrainCoincident.svg Coïncidence : crée une contrainte de coïncidence (point sur point) entre deux ou plusieurs points sélectionnés.
  • Sketcher ConstrainPointOnObject.svg Point sur objet : crée une contrainte point-sur-objet sur les éléments sélectionnés. L'un des éléments doit être un point, l'autre une ligne, un arc ou un cercle.
  • Sketcher ConstrainVertical.svg Vertical : crée une contrainte de verticalité sur les lignes ou segments de polylignes sélectionnés. Plus d'un élément peut être sélectionné.
  • Sketcher ConstrainHorizontal.svg Horizontal : crée une contrainte d'horizontalité sur les lignes ou segments de polylignes sélectionnés. Plus d'un élément peut être sélectionné.
  • Sketcher ConstrainParallel.svg Parallèle : crée une contrainte de parallélisme entre deux lignes sélectionnées.
  • Sketcher ConstrainPerpendicular.svg Perpendiculaire : crée une contrainte de perpendicularité entre deux lignes sélectionnées.
  • Sketcher ConstrainTangent.svg Tangente : crée une contrainte de tangence entre deux éléments sélectionnés, ou de colinéarité entre deux lignes. Un segment de ligne ne doit pas nécessairement se trouver directement sur un arc ou un cercle pour être contraint de manière tangente à cet arc ou ce cercle.
  • Sketcher ConstrainEqual.svg Égalité : crée une contrainte d'égalité entre au moins deux éléments sélectionnés. Contraindra la longueur pour des lignes et le rayon pour des cercles et des arcs.
  • Sketcher ConstrainSymmetric.svg Symétrie : crée une contrainte symétrique entre deux points par rapport à un troisième point.

Contraintes dimensionnelles

Ces contraintes sont associées à des données numériques, pour lesquelles vous pouvez utiliser des expressions. Les données peuvent être tirées d'un tableur.

  • Sketcher ConstrainLock.svg Fixe : contraint l'élément sélectionné en définissant des distances verticales et horizontales par rapport à l'origine, verrouillant ainsi l'emplacement de cet élément. Ces contraintes dimensionnelles peuvent être éditées par la suite.
  • Sketcher ConstrainDistanceX.svg Distance horizontale : fixe la distance horizontale entre deux points ou extrémités de ligne. Si un seul élément est sélectionné, la distance sera relative à l'origine.
  • Sketcher ConstrainDistanceY.svg Distance verticale : fixe la distance verticale entre deux points ou extrémités de ligne. Si un seul élément est sélectionné, la distance sera relative à l'origine.
  • Sketcher ConstrainDistance.svg Dimensionnelle : fixe la longueur d'une ligne sélectionnée, ou la distance entre une ligne et un point. La distance sera perpendiculaire à la ligne.
  • Sketcher ConstrainRadius.svg Rayon: définit le rayon d'un arc ou d'un cercle sélectionné en contraignant le rayon.
  • Sketcher ConstrainDiameter.svg Diamètre: définit le diamètre d'un arc ou d'un cercle sélectionné en contraignant le rayon.
  • Sketcher ConstrainAngle.svg Angle Interne: crée une contrainte d'angle interne entre deux lignes sélectionnées.

Outils d'esquisse

  • Sketcher Move.svg Déplacer: déplace la géométrie sélectionnée en prenant comme référence le dernier point sélectionné.

Introduit dans la version 0.18

Sketcher Outils B-spline

Sketcher espace virtuel

Préférences

Bonnes pratiques

Chaque utilisateur de CAO développe sa propre philosophie au cours de son travail, mais il y a quelques principes généraux utiles à suivre.

  • Une série d'esquisses simples est plus facile à gérer qu'une seule esquisse complexe. Par exemple, la première esquisse peut être créée pour la fonction de base 3D (soit une extrusion ou une révolution), tandis que la seconde peut contenir des découpes ou des cavités (poches). Certains détails peuvent être laissés de côté pour être réalisés plus tard avec des fonctions 3D. Vous pouvez aussi éviter les congés dans votre croquis, s'il y en a un trop grand nombre et les ajouter plus tard en tant que fonctions 3D.
  • Toujours créer un profil fermé, sinon votre esquisse ne produira pas un solide mais un ensemble de faces ouvertes. Si vous ne voulez pas que certains objets soient inclus dans votre construction, transformez-les en éléments de construction avec l'outil Mode de Construction.
  • Utilisez la fonction Contraintes auto (dans l'onglet Tâches) pour limiter le nombre de contraintes que vous aurez à ajouter manuellement.
  • En règle générale, appliquez d'abord les contraintes géométriques, puis les contraintes dimensionnelles, et enfin verrouillez votre esquisse en dernier. Mais rappelez-vous : les règles sont faites pour être contournées. Si vous rencontrez des difficultés de manipulation de votre esquisse, il peut être utile de contraindre d'abord quelques objets avant de compléter votre profil.
  • Si possible, positionnez le centre de votre esquisse à l'origine (0,0) avec la Contrainte fixe Sketcher ConstrainLock.png. Si votre dessin n'est pas symétrique, localisez un de ses points à l'origine, ou choisissez des nombres entiers pour verrouiller les distances.
    Dans v0.12, les contraintes extérieures (contraignant l'esquisse à la forme géométrique 3D existante comme les bords, et d'autres esquisses) ne sont pas mises en œuvre.
    Cela signifie que pour positionner un croquis par rapport à une forme géométrique existante, vous aurez besoin d'entrer les distances manuellement. Une contrainte de verrouillage à (25,75) de l'origine est plus facile à retenir que (23.47,73.02).
  • Si vous avez la possibilité de choisir entre la contrainte Longueur Sketcher ConstrainDistance.png et les contraintes Distance Horizontale Sketcher ConstrainDistanceX.png ou Verticale Constraint Vertical.png, utilisez de préférence ces dernières. Les contraintes distance horizontale et verticale sont moins gourmandes en ressources.
  • De façon générale, les meilleurs contraintes à utiliser sont les contraintes horizontale et verticale, les contraintes distance horizontale et distance verticale, tangente point-à-point. Si possible, limiter l'utilisation des contraintes suivantes : distance, tangente ligne sur ligne, point sur objet, symétrie.
  • Si vous avez des doutes sur la validité d'une esquisse une fois qu'elle est terminée (les fonctions deviennent vertes), fermez la boîte de dialogue Esquisse, basculez vers Workbench Part.svg l'atelier Part et exécutez Part CheckGeometry.svg Vérifier la géométrie.

Tutoriels


Arrow-left.svg Page précédente : Workbench Robot.svg Atelier Robot
Page suivante : Atelier Spreadsheet Workbench Spreadsheet.svg Arrow-right.svg